%define major	1
%define libname %mklibname xpresent %{major}
%define devname %mklibname xpresent -d

Name: libxpresent
Summary: A Xlib-compatible API for the Present extension
Version: 1.0.1
Release: %mkrel 1
Group: System/Libraries
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libXpresent-%{version}.tar.xz

BuildRequires: x11-util-macros
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(presentproto)
BuildRequires: pkgconfig(xextproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrandr)

%description
This package contains header files and documentation for the Present
extension.  Library and server implementations are separate.

#-----------------------------------------------------------

%package -n %{libname}
Group: System/Libraries
Summary: A Xlib-compatible API for the Present extension

%description -n %{libname}
This package contains header files and documentation for the Present
extension.  Library and server implementations are separate.

%files -n %{libname}
%{_libdir}/libXpresent.so.%{major}{,.*}

#-----------------------------------------------------------
%package -n %{devname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: xpresent-devel = %{version}-%{release}
Provides: libxpresent-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_includedir}/X11/extensions/Xpresent.h
%{_libdir}/libXpresent.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXpresent-%{version}

%build
%configure \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Wed Nov 02 2022 luigiwalser <luigiwalser> 1.0.1-1.mga9
+ Revision: 1901749
- 1.0.1

* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1825347
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1514669
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1299265
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 wally <wally> 1.0.0-1.mga7
+ Revision: 1245856
- imported package libxpresent

